{ pkgs, ... }:

{
  home.packages = with pkgs; [ git-crypt ];

  programs.git = {
    enable = true;
    userName = "Martin Berg Alstad";
    userEmail = "git@martials.no";

    aliases = {
      amend = "commit --amend";
      cm = "commit";
      s = "status";
    };

    signing = {
      signByDefault = true;
      key = "706F53DD087A91DE";
    };

    extraConfig = {
      push.autoSetupRemote = true;
      safe.directory = "/etc/nixos";
    };
  };
}
